Bug 7496 - Personally identifying information sent in opac user TITLE
Summary: Personally identifying information sent in opac user TITLE
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: 3.6
Hardware: All All
: P5 - low trivial (vote)
Assignee: Owen Leonard
QA Contact: Ian Walls
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-02-02 21:19 UTC by Liz Rea
Modified: 2013-12-05 20:01 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 7496 - Personally identifying information sent in opac user TITLE (10.04 KB, patch)
2012-02-17 15:54 UTC, Owen Leonard
Details | Diff | Splinter Review
[Signed Off] Bug 7496 - Personally identifying information sent in opac user TITLE (10.15 KB, patch)
2012-02-17 17:03 UTC, Liz Rea
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Liz Rea 2012-02-02 21:19:07 UTC
We show the name of the user in the OPAC in the TITLE of the user pages, so on public stations if the history is not cleared after every session, the next user would be able to see who had logged in last.

The name also appears in "place hold for" pages.

Is this reason for concern? Surely this runs afoul of privacy laws *somewhere*.
Comment 1 Magnus Enger 2012-02-02 21:30:23 UTC
It could also be seen as a problem with statistics-systems like Piwik and Google Analytics, that show the titles of pages visited during a session.
Comment 2 Owen Leonard 2012-02-17 15:54:40 UTC Comment hidden (obsolete)
Comment 3 Liz Rea 2012-02-17 17:03:53 UTC
Created attachment 7740 [details] [review]
[Signed Off] Bug 7496 - Personally identifying information sent in opac user TITLE

Removing patron name from OPAC page <title> tags. Making
some other minor changes to improve <title> clarity and consistency.

Signed-off-by: Liz Rea <wizzyrea@gmail.com>
titles appear to be consistent
passes prove xt
Comment 4 Paul Poulain 2012-02-21 15:57:39 UTC
QA comment:
* T::T only patch
* prove translatable_templates and valid_template OK